WESNOTH(6)

PAVADINIMAS
wesnoth - Mūšis dėl Vesnoto, ėjimais pagrįstas fantastinis strateginis žaidimas

REZIUMĖ
wesnoth [PARAMETRAI] [KELIAS_IKI_DUOMENŲ]

APRAŠYMAS
Mūšis dėl Vesnoto yra ėjimais pagrįstas fantastinis strateginis žaidimas. Nugalėkite visus priešų vadus naudodami gerai parinktą karių rinkinį, rūpindamiesi savo aukso ir kaimų resursais. Visi daliniai turi savo stipriąsias ir silpnąsias puses; kad nugalėtumėte, pasinaudokite geriausiais savo pajėgų privalumais, neleisdami to paties padaryti priešams. Daliniams įgaunant patirties, jie įgyja naujų galimybių ir tampa galingesni. Žaiskite savo gimtąja kalba ir išbandykite savo meistriškumą prieš protingą kompiuterinį priešininką arba prisijunkite prie didelės Vesnoto tinklo žaidėjų bendruomenės. Kurkite savo paties dalinius, scenarijus ar kampanijas ir dalinkitės jais su kitais.

PARAMETRAI

--bpp skaičius
    nustato bitų vienam pikseliui vertę. Pavyzdžiui: --bpp 32

-c, --campaign  [<kampanijos_id>]
    goes directly to the campaign with id <id_campaign>. A selection menu will appear if no id was specified. Note: When using this switch please ensure that you specify the data directory path as the final argument aswell, otherwise the game will take the campaign/scenario id as the data dir.

--campaign-difficulty [<sunkumas>]
    The difficulty of the specified campaign (1 to max). If none specified, the campaign difficulty selection widget will appear.

--campaign-scenario <scenarijaus_id>
    The id of the scenario from the specified campaign. The default is the first scenario.

--data-dir <aplankas>
    naudoja nurodytą duomenų aplanką

--data-path
    path the path of the data directory and exits.

-d, --debug
    įjungia papildomas komandinio režimo opcijas žaidimo metu (daugiau informacijos apie komandinį režimą rasite viki puslapyje šiuo adresu: http://www.wesnoth.org/wiki/CommandMode)

-e, --editor failas
    tiesiogiai paleidžia integruotą žemėlapių redaktorių. Jei nurodytas failas, tai yra ekvivalentu -l --load

--fps
    ekrano kampe parodo tuo metu veikiančio žaidimo kadrų skaičių per sekundę.

-f, --fullscreen
    paleidžia žaidimą viso ekrano režimu.

--gunzip failas.gz
    išspaudžia failą, kuris turi būti gzip formatu ir išsaugo jį be .gz plėtinio. infile.gz bus pašalintas.

--gzip failas
    suspaudžia failą gzip formatu, išsaugo kaip infile.gz ir pašalina infile.

-h, --help
    išveda komandinės eilutės parametrų santrauką į standartinį išvedimą ir išeina.

-l, --load failas
    įkelia išsaugojimą failas iš standartinio išsaugojimų aplanko. Jei taip pat naudojamas -e arba --editor parametras, paleidžia redaktorių su atvertu iš failo žemėlapiu. Jei tai yra aplankas, žemėlapių redaktorius pasileis su žemėlapių įkėlimo dialogu atvertu ten.

--log-lygis=domenas1,domenas2,...
    sets the severity level of the log domains. all can be used to match any log domain. Available levels: error, warning, info, debug. By default the error level is used.

--logdomains [filtras]
    lists defined log domains (only the ones containing filter if used) and exits

--max-fps
    kadrų per sekundę skaičius, kurį gali parodyti žaidimas, vertė turi būti tarp 1 ir 1000, numatyta 50.

-m, --multiplayer
    paleidžia daugelio žaidėjų žaidimą. Yra papildomų parametrų, kurie gali būti naudojami kartu su --multiplayer, kaip paaiškinta žemiau. Tik šie papildomi parametrai gali būti naudojami po --multiplayer.

--no-delay
    paleidžia žaidimą be jokių užlaikymų grafikos testavimui. Tai yra automatiškai įgalinta naudojant --nogui.

--nocache
    išjungia žaidimo duomenų podėlį

--nomusic
    paleidžia žaidimą be muzikos.

--nosound
    paleidžia žaidimą be garsų ir muzikos.

--path
    atspausdina žaidimo duomenų aplanko pavadinimą ir išeina.

-p, --preprocess <source file/folder> <target directory>
    preprocesses a specified file/folder. For each file(s) a plain .cfg file and a processed .cfg file will be written in specified target directory. If a folder is specified, it will be preprocessed recursively based on the known preprocessor rules. The common macroses from the "data/core/macros" directory will be preprocessed before the specified resources. Example: -p ~/wesnoth/data/campaigns/tutorial ~/result. For details regarding the preprocessor visit: http://wiki.wesnoth.org/PreprocessorRef#Command-line_preprocessor

--preprocess-defines=DEFINE1,DEFINE2,etc
    comma separated list of defines to be used by the '--preprocess' command. If SKIP_CORE is in the define list the "data/core" directory won't be preprocessed.

--preprocess-input-macros <šaltinio failas>
    used only by the '--preprocess' command. Specifies a file that contains [preproc_define]s to be included before preprocessing.

--preprocess-output-macros [<išvesties failas>]
    used only by the '--preprocess' command. Will output all preprocessed macros in the target file. If the file is not specified the output will be file '_MACROS_.cfg' in the target directory of preprocess's command. This switch should be typed before the --preprocess command.

-r XxY, --resolution XxY
    nustato ekrano raišką. Pavyzdžiui: -r 800x600

-s, --server [mazgas]
    jungiasi prie nurodyto kompiuterio, jei kas nurodyta; jeigu ne, jungiasi prie pirmo serverio, rasto nuostatose. Pavyzdys: --server server.wenoth.org

--username<naudotojo vardas>
    uses <username> when connecting to a server, ignoring other preferences.

--password<slaptažodis>
    uses <password> when connecting to a server, ignoring other preferences. Unsafe.

--strict-validation
    validation errors are treated as fatal errors.

-t, --test
    paleidžia žaidimą su mažu bandomuoju scenarijumi.

--userconfig-dir pavadinimas
    sets the user configuration directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the configuration directory outside the $HOME or "My Documents\My Games". Under X11 this defaults to $XDG_CONFIG_HOME or $HOME/.config/wesnoth, on other systems to the userdata path.

--userconfig-path
    išveda naudotojo konfigūracijos aplanko kelią ir išeina.

--userdata-dir pavadinimas
    sets the userdata directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the userdata directory outside the $HOME or "My Documents\My Games".

--userdata-path
    prints the path of the userdata directory and exits.

--validcache
    daro prielaidą, kad podėlis yra tinkamas. (pavojinga)

-v, --version
    parodo versijos numerį ir išsijungia.

-w, --windowed
    paleidžia žaidimą lango režimu.

--with-replay
    pakartoja žaidimą įkeltą su --load parinktimi.

--multiplayer parinktys
Daugelio žaidėjų opcijos, skirtos kažkuriai vienai pusei, žymimos skaičiumi. skaičių pakeiskite tikruoju žaidėjo numeriu. Dažniausiai tai bus 1 arba 2, bet gali būti ir daugiau, priklausomai nuo galimo žaidėjų skaičiaus scenarijuje.

--ai_confignumeris=vertė
    selects a configuration file to load for the AI controller for this side.

--algorithmnumeris=vertė
    parenka nestandartinį algoritmą, kurį naudos DI valdiklis šiai pusei. Galimos vertės: idle_ai ir sample_ai.

--controllernumeris=vertė
    parenka valdiklį šiai pusei. Galimos vertės: human ir ai.

--era=vertė
    naudokite šią parinktį, kad žaistumėte pasirinktoje eroje vietoj Numatytos eros. Era yra parenkama pagal id. Eros aprašytos data/multiplayer/eras.cfg faile.

--exit-at-end
    išeina pasibaigus scenarijui be pergalės/pralaimėjimo dialogo rodymo, kuris reikalauja naudotojui nuspausti Gerai. Tai taip pat naudojama automatiniam testavimui.

--ignore-map-settings
    nenaudoti žemėlapio nustatymų, vietoj to naudoti numatytus nustatymus.

--multiplayer-repeat=vertė
    repeats a multiplayer game value times. Best to use with --nogui for scriptable benchmarking.

--nogui
    paleidžia žaidimą be grafinės sąsajos (GUI). Privalo pasirodyti prieš --multiplayer tam, kad turėtų norimą poveikį.

--parmnumeris=pavadinimas:vertė
    nustato papildomus šios pusės parametrus. Šis parametras priklauso nuo opcijų, panaudotų su --controller ir --algorithm. Jis turėtų būti naudingas tik žmonėms, kuriantiems nuosavą DI. (dar pilnai nedokumentuota)

--scenario=vertė
    parenka kelių žaidėjų scenarijų pagal id. Numatytas scenarijaus id yra multiplayer_The_Freelands.

--sidenumeris=vertė
    selects a faction of the current era for this side. The faction is chosen by an id. Factions are described in the data/multiplayer.cfg file.

--turns=vertė
    nustato ėjimų skaičių pasirinktam scenarijui. Numatyta 50.

IŠĖJIMO BŪSENA
Normali išėjimo būsena yra 0. Išėjimo būsena lygi 1 nurodo paleidimo klaidą (SDL, video, šriftų ir t.t.). Išėjimo būsena lygi 2 nurodo klaidą komandinės eilutės parametruose.

AUTORIUS
Parašė David White <davidnwhite@verizon.net>.
Redaguota Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> ir Soliton <soliton.de@gmail.com>.
Šį dokumentacijos puslapį iš pradžių parašė Cyril Bouthors <cyril@bouthors.org>.
Aplankykite oficialų puslapį: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Tai yra laisva programa; ši programa licencijuota Free Software Foundation (Laisvos programinės įrangos fondo) paskelbta GPL 2 versija. Nėra JOKIOS garantijos; netgi PERKAMUMO ar TINKAMUMO KONKRETIEMS TIKSLAMS.

TAIP PAT ŽIŪRĖKITE
wesnothd(6).